Package twisted :: Package web :: Module util

[show private | hide private]
[frames | no frames]

## Module twisted.web.util

Classes
`Redirect` |

Function Summary
| `formatFailure(myFailure)`
| `htmlDict(d)`
| `htmlFunc(f)`
| `htmlIndent(snippetLine)`
| `htmlInst(i)`
| `htmlList(l)`
| `htmlrepr(x)`
| `htmlString(s)`
| `htmlUnknown(x)`
| `redirectTo(URL, request)`
| `saferepr(x)`

Variable Summary
`dictionary` | `htmlReprTypes`
`string` | `stylesheet`

Variable Details

### htmlReprTypes

  Type:
    `dictionary`
  Value:

        {<type 'instance'>: <function htmlInst at 0x82fef94>,
         <type 'function'>: <function htmlFunc at 0x837183c>,
         <type 'list'>: <function htmlList at 0x82fef5c>,
         <type 'dictionary'>: <function htmlDict at 0x82fef24>,
         <type 'string'>: <function htmlString at 0x8406f7c>}

### stylesheet

  Type:
    `string`
  Value:

        '''
        <style type="text/css">
            p.error {
              color: red;
              font-family: Verdana, Arial, helvetica, sans-serif;
              font-weight: bold;
            }

        ...

Generated by Epydoc 1.1 on Sat Feb 15 21:19:29 2003 | http://epydoc.sf.net